public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Roman" <davidroman96@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-embedded/esp-coredump/
Date: Mon,  4 Sep 2023 11:55:03 +0000 (UTC)	[thread overview]
Message-ID: <1693828490.1a2a4c7448d1f39545389ae3acb517821efc4180.davidroman@gentoo> (raw)

commit:     1a2a4c7448d1f39545389ae3acb517821efc4180
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Mon Sep  4 11:54:50 2023 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Mon Sep  4 11:54:50 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1a2a4c74

dev-embedded/esp-coredump: add 1.7.0

Signed-off-by: David Roman <davidroman96 <AT> gmail.com>

 dev-embedded/esp-coredump/Manifest                 |  1 +
 .../esp-coredump/esp-coredump-1.7.0.ebuild         | 32 ++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-embedded/esp-coredump/Manifest b/dev-embedded/esp-coredump/Manifest
index a700e7f06a..50ae860147 100644
--- a/dev-embedded/esp-coredump/Manifest
+++ b/dev-embedded/esp-coredump/Manifest
@@ -1 +1,2 @@
 DIST esp-coredump-1.5.2.tar.gz 30567 BLAKE2B dbbdac4865f187943f71ffa1c08ba5724bcb5dcd62e246b213394399dd1a566432cd08a24f1ce45bcc5fb6e8d9a8d7b8699049194634305bf30e59e112b780ac SHA512 4e5dc9be34ca31a45465b57e75bd7b70d3ee6af8ded31f77c79f42f426361a6f0bbf4c35dcd60af9978da2e68ef0c1ba256cf82eeea6e8f33b21d922a9ca4bb5
+DIST esp-coredump-1.7.0.tar.gz 30696 BLAKE2B 640f90ac3814dac5546f80d88ed0f0555152191e3fed237c18eed548c85f6647208379af2ef20f1e408a51e3e2c84a26054aa6d9491838864f2f9b187a0ad784 SHA512 3997d0e66b2bbbd54a71d3146c055cf5384244d0ea21938ad13560c7294e4b277870840996c11e05d14a775412ca04b2b1560c61cff78dcc02b3b68d14cbd659

diff --git a/dev-embedded/esp-coredump/esp-coredump-1.7.0.ebuild b/dev-embedded/esp-coredump/esp-coredump-1.7.0.ebuild
new file mode 100644
index 0000000000..ec384a499d
--- /dev/null
+++ b/dev-embedded/esp-coredump/esp-coredump-1.7.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Utility that helps users to retrieve and analyse core dumps"
+HOMEPAGE="https://github.com/esppressif/esp-coredump"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RESTRICT="test"
+
+RDEPEND="
+	dev-embedded/esptool
+	dev-python/construct[${PYTHON_USEDEP}]
+	dev-python/pygdbmi[${PYTHON_USEDEP}]
+"
+
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+	rm -r tests || die
+}


             reply	other threads:[~2023-09-04 11:55 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-04 11:55 David Roman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-05 10:38 [gentoo-commits] repo/proj/guru:dev commit in: dev-embedded/esp-coredump/ David Roman
2024-09-05 10:38 David Roman
2024-07-25 14:50 David Roman
2024-02-19 15:49 David Roman
2024-02-19 15:49 David Roman
2023-11-20 13:42 David Roman
2023-07-05  9:59 David Roman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1693828490.1a2a4c7448d1f39545389ae3acb517821efc4180.davidroman@gentoo \
    --to=davidroman96@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox